module BcaParser
  module RegexCheck

    MONTHDAYREG = /\b[0-9]{1,2}\/[0-9]{1,2}\b/
    OUTPUTREG = /\b[1-2]{1}\b/
    MONTHREG = /\b[0-9]{1,2}\b/

    def self.checkUserDate(date)
      date =~ MONTHDAYREG ? true : false
    end

    def self.checkUserOutputDisplay(output)
      output =~ OUTPUTREG ? true : false
    end

    def self.checkUserMonth(month)
      month =~ MONTHREG ? true : false
    end

  end
end

